<?php

namespace App\Http\Controllers\Auth;

use App\Http\Controllers\Controller;
use Illuminate\Foundation\Auth\AuthenticatesUsers;
use Illuminate\Support\Facades\Auth;


class LoginController extends Controller
{
    /*
    |--------------------------------------------------------------------------
    | Login Controller
    |--------------------------------------------------------------------------
    |
    | This controller handles authenticating users for the application and
    | redirecting them to your home screen. The controller uses a trait
    | to conveniently provide its functionality to your applications.
    |
    */

    use AuthenticatesUsers;

    /**
     * Where to redirect users after login.
     *
     * @var string
     */
    //protected $redirectTo = '/';

    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        $this->middleware('guest')->except('logout');
    }

    public function showLoginForm()
    {
        return view('site.login');
    }


    public function redirectTo()
    {
        // User role
        $role = Auth::user()->role;
                if (Auth::user()->satus == 0){
                    switch ($role) {
                        case '0':
                            return '/';
                            break;
                        case '3':
                            return '/admin/index';
                            break;
                        case '4':
                            return '/admin/index';
                            break;
                        case '5':
                            return '/admin/index';
                            break;
                        default:
                            return '/login';
                            break;
                    }
                } else {
                    redirect('login');
                }
        // Check user role

    }
}
