'use strict';

var gulp = require('gulp');
var concat = require('gulp-concat');
var uglify = require('gulp-uglify');
var sass = require('gulp-sass');

// Front-End Assets

gulp.task('scripts', function() {
    return gulp.src([
        './node_modules/jquery/dist/jquery.min.js', 
        './node_modules/popper.js/dist/umd/popper.min.js', 
        './node_modules/bootstrap/dist/js/bootstrap.min.js',
        './resources/assets/frontend/js/sweetalert2.min.js',
        './resources/assets/frontend/js/app.js',
    ])
        .pipe(concat('app.js'))
        //.pipe(uglify())
        .pipe(gulp.dest('./public/assets/frontend/js/'));
});
gulp.task('scripts:watch', function () {
    gulp.watch('./resources/assets/frontend/js/**/*.js', ['scripts']);
});

gulp.task('sass', function () {
    return gulp.src(['./resources/assets/frontend/scss/style.scss'])
        .pipe(sass({outputStyle: 'compressed'}).on('error', sass.logError))
        .pipe(gulp.dest('./public/assets/frontend/css/'));
});
gulp.task('sass:watch', function () {
    gulp.watch('./resources/assets/frontend/scss/**/*.scss', ['sass']);
});

// Back-End Assets

gulp.task('backend_sass', function () {
    return gulp.src(['./resources/assets/backend/scss/custom.scss'])
        .pipe(sass({outputStyle: 'compressed'}).on('error', sass.logError))
        .pipe(concat('custom.min.css'))
        .pipe(gulp.dest('./public/assets/backend/css/'));
});
gulp.task('backend_sass:watch', function () {
    gulp.watch('./resources/assets/backend/scss/**/*.scss', ['backend_sass']);
});

gulp.task('backend_scripts', function() {
    return gulp.src([
        './resources/assets/backend/js/jquery.form.min.js',
        './resources/assets/backend/js/custom.js',
        './resources/assets/backend/js/application.js',
    ])
        .pipe(concat('custom.min.js'))
        //.pipe(uglify())
        .pipe(gulp.dest('./public/assets/backend/js/'));
});
gulp.task('backend_scripts:watch', function () {
    gulp.watch('./resources/assets/backend/js/**/*.js', ['backend_scripts']);
});

// Default Task Run

gulp.task('default', [ 'scripts', 'scripts:watch', 'sass', 'sass:watch', 'backend_sass', 'backend_sass:watch', 'backend_scripts', 'backend_scripts:watch' ]);