<!doctype html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="">
    <meta name="author" content="">
    <title>Kent | Login</title>
    <link href="{{asset('assets/imgs/frontend/favicon.png')}}" rel="shortcut icon" type="image/png"/>
    <link href="{{asset('assets/frontend/css/style.css')}}" rel="stylesheet">
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.7.2/css/all.css">
    <style>
        html,
        body {
            height: 100%;
        }

        body {
            display: -ms-flexbox;
            display: -webkit-box;
            display: flex;
            -ms-flex-align: center;
            -ms-flex-pack: center;
            -webkit-box-align: center;
            align-items: center;
            -webkit-box-pack: center;
            justify-content: center;
            padding-top: 40px;
            padding-bottom: 40px;
            background-color: #f5f5f5;
            background: #689f38; /* Old browsers */
            background: -moz-linear-gradient(top, #689f38 0%, #8bc34a 51%, #4caf50 100%); /* FF3.6-15 */
            background: -webkit-linear-gradient(top, #689f38 0%,#8bc34a 51%,#4caf50 100%); /* Chrome10-25,Safari5.1-6 */
            background: linear-gradient(to bottom, #689f38 0%,#8bc34a 51%,#4caf50 100%); /* W3C, IE10+, FF16+, Chrome26+, Opera12+, Safari7+ */
            filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#689f38', endColorstr='#4caf50',GradientType=0 ); /* IE6-9 */
        }

        .form-signin {
            width: 100%;
            max-width: 330px;
            padding: 15px;
            margin: 0 auto;
        }

        .form-signin .checkbox {
            font-weight: 400;
        }

        .form-signin .form-control {
            position: relative;
            box-sizing: border-box;
            height: auto;
            padding: 10px;
            font-size: 16px;
        }

        .form-signin .form-control:focus {
            z-index: 2;
        }

        .form-signin input[type="email"] {
            margin-bottom: -1px;
            border-bottom-right-radius: 0;
            border-bottom-left-radius: 0;
        }

        .form-signin input[type="password"] {
            margin-bottom: 10px;
            border-top-left-radius: 0;
            border-top-right-radius: 0;
        }

    </style>
</head>

<body class="text-center">

<form class="form-signin" method="POST" action="{{ route('login') }}">
    @csrf
    <img class="mb-4" src="{{url('assets/frontend/imgs/logo.png')}}" alt="" width="72">
    <h3 class="h3 mb-3 font-weight-normal text-light">Please sign in</h3>
    <div class="mb-3">
        <label for="inputEmail" class="sr-only">Email address</label>
        <input type="email" id="inputEmail" placeholder="Email address"
               class="form-control{{ $errors->has('email') ? ' is-invalid' : '' }}" name="email" value="{{ old('email') }}"
               required autofocus>
        @if ($errors->has('email'))
            <span class="invalid-feedback" role="alert">
               <strong>{{ $errors->first('email') }}</strong>
               </span>
        @endif
    </div>
    <div>
        <label for="inputPassword" class="sr-only">Password</label>
        <input type="password" id="inputPassword" placeholder="Password" class="form-control{{ $errors->has('password') ? ' is-invalid' : '' }}" name="password" required >

        @if ($errors->has('password'))
            <span class="invalid-feedback" role="alert">
                <strong>{{ $errors->first('password') }}</strong>
             </span>
        @endif
    </div>

    <button class="btn btn-lg btn-success btn-block" type="submit">Sign in</button>
</form>

<script src="http://code.jquery.com/jquery-3.3.1.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js"></script>
<script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js"></script>
</body>
</html>
